<?php
if (isset($_REQUEST['prefijo'])){$prefijo=$_REQUEST['prefijo'];}else{$prefijo="";}
if (isset($_REQUEST['codigo'])){$codigo=$_REQUEST['codigo'];}else{$codigo="";}
if (isset($_REQUEST['idactividad'])){$idactividad=$_REQUEST['idactividad'];}else{$idactividad="";}
if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
if (isset($_REQUEST['ruralocal'])){$ruralocal=$_REQUEST['ruralocal'];}else{$ruralocal="../../../";}

//Si se quiere subir una imagen
if ($accion==1) {
	$directorio=$ruralocal."public/actividades/".$prefijo."/respuestas/".$idactividad."/".$codigo."/";
if (!file_exists($directorio)) {
    mkdir($directorio, 0777, true);
}else{
    echo "Analizando.";
}
   $archivo = $_FILES['file1']['name'];
   if (isset($archivo) && $archivo != "") {
      $tipo = $_FILES['file1']['type'];
      $tamano = $_FILES['file1']['size'];
      $temp = $_FILES['file1']['tmp_name'];
        if (move_uploaded_file($temp, $directorio.$codigo."_".$idactividad."_".$archivo)) {
            @chmod($directorio.$archivo, 0777);
			 echo "abjunto con éxito";
        }else {
		     echo "abjunto con con error";
        }
   }else{
		echo "no abjunto nada";
   }
}else {
	echo "no abjunto nada";
}
?>

